/**
 * 类似koa的中间件Promise队列
 * @param queues 队列
 * @returns {use, run}
 */
export declare function compose<T = any, D = any>(queues?: Array<(context: T, next: () => Promise<D>) => Promise<D>>): {
    use: (...args: ((context: T, next: () => Promise<D>) => Promise<D>)[]) => void;
    run: (context: T, next?: (context: T) => Promise<D>) => Promise<D>;
};
