import type { ApiRule, HookApi, ResponseData } from './api_types';
export declare function registerApis<T>(map: any, rules: ApiRule<T>[]): {
    fetch: <T_1 = any, V = any>(code: unknown) => {
        (input?: T_1): Promise<ResponseData<V>>;
        safe(input?: T_1): Promise<ResponseData<V>>;
        ensure(input?: T_1): Promise<ResponseData<V>>;
    };
    fetchPublic: <T_2 = any, V_1 = any>(code: unknown) => {
        (input?: T_2): Promise<ResponseData<V_1>>;
        safe(input?: T_2): Promise<ResponseData<V_1>>;
        ensure(input?: T_2): Promise<ResponseData<V_1>>;
    };
    with: <T_3 = any, V_2 = any>(code: unknown) => {
        fetch: {
            (input?: T_3): Promise<ResponseData<V_2>>;
            safe(input?: T_3): Promise<ResponseData<V_2>>;
            ensure(input?: T_3): Promise<ResponseData<V_2>>;
        };
        use: HookApi<T_3, V_2>;
        fetchPublic: {
            (input?: T_3): Promise<ResponseData<V_2>>;
            safe(input?: T_3): Promise<ResponseData<V_2>>;
            ensure(input?: T_3): Promise<ResponseData<V_2>>;
        };
        usePublic: HookApi<T_3, V_2>;
    };
    use: <T_4 = any, V_3 = any>(code: unknown) => HookApi<T_4, V_3>;
    usePublic: <T_5 = any, V_4 = any>(code: unknown) => HookApi<T_5, V_4>;
    mock: <T_6 = any, V_5 = any>(code: unknown, value: any) => void;
    mockData: <T_7 = any, V_6 = any>(code: unknown, value: any) => void;
};
