declare global {
    interface UserError extends Error {
        userMessage: string;
        error?: any;
    }
    interface ErrorOf<T> {
        error: UserError;
        data: T;
    }
    interface Promise<T> {
        final(message?: string): Promise<ErrorOf<T>>;
    }
}
export declare function extendPromiseFinal(promise?: PromiseConstructor): void;
